import { Server } from "@modelcontextprotocol/sdk/server/index.js";
import { SegmentConfig } from "../types/segment.js";
export interface SegmentMcpOptions {
    config: SegmentConfig;
    name?: string;
    version?: string;
}
export declare class SegmentMcp {
    private server;
    private profileClient;
    private trackingClient;
    private logger;
    private config;
    private serverName;
    private serverVersion;
    constructor(options: SegmentMcpOptions);
    private setupHandlers;
    private isProfileTool;
    private isTrackingTool;
    /**
     * Start the MCP server with the provided transport
     */
    start(transport: any): Promise<void>;
    /**
     * Get the underlying MCP server instance
     */
    getServer(): Server;
    /**
     * Get the logger instance
     */
    getLogger(): import("winston").Logger;
    /**
     * Get the configuration
     */
    getConfig(): SegmentConfig;
}
//# sourceMappingURL=segment-mcp.d.ts.map