import winston from "winston";
const logFormat = winston.format.combine(winston.format.timestamp({
    format: "YYYY-MM-DD HH:mm:ss",
}), winston.format.errors({ stack: true }), winston.format.json(), winston.format.simple());
export function createLogger(logLevel = "info") {
    return winston.createLogger({
        level: logLevel,
        format: logFormat,
        defaultMeta: { service: "segment-mcp-server" },
        transports: [
            new winston.transports.Console({
                format: winston.format.combine(winston.format.simple()),
                stderrLevels: ["error", "warn", "info", "debug"],
            }),
        ],
    });
}
export const logger = createLogger();
//# sourceMappingURL=logger.js.map